Job Agents - Create Or Update
Hiermee maakt of werkt u een taakagent bij.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}?api-version=2023-08-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
job
|
path | True |
string |
De naam van de taakagent die moet worden gemaakt of bijgewerkt. |
|
resource
|
path | True |
string |
De naam van de resourcegroep die de resource bevat. U kunt deze waarde verkrijgen via de Azure Resource Manager-API of de portal. |
|
server
|
path | True |
string |
De naam van de server. |
|
subscription
|
path | True |
string |
De abonnements-id waarmee een Azure-abonnement wordt geïdentificeerd. |
|
api-version
|
query | True |
string |
De API-versie die moet worden gebruikt voor de aanvraag. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| location | True |
string |
Resourcelocatie. |
| properties.databaseId | True |
string (arm-id) |
Resource-id van de database waarin metagegevens van de taak moeten worden opgeslagen. |
| identity |
De identiteit van de taakagent. |
||
| sku |
De naam en laag van de SKU. |
||
| tags |
object |
Resourcetags. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De taakagent is bijgewerkt. |
|
| 201 Created |
De taakagent is gemaakt. |
|
| 202 Accepted |
Geaccepteerd Kopteksten Location: string |
|
| Other Status Codes |
Foutreacties: ***
|
Voorbeelden
| Create or update a job agent |
| Create or update a job agent with identity |
| Create or update a job agent with sku. |
Create or update a job agent
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2023-08-01
{
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Voorbeeldrespons
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"location": "southeastasia",
"sku": {
"name": "JA100",
"capacity": 100
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"location": "southeastasia",
"sku": {
"name": "JA100",
"capacity": 100
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Create or update a job agent with identity
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2023-08-01
{
"location": "southeastasia",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {}
}
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Voorbeeldrespons
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"location": "southeastasia",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
"clientId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7",
"principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
}
}
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"location": "southeastasia",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
"clientId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7",
"principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
}
}
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Create or update a job agent with sku.
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2023-08-01
{
"location": "southeastasia",
"sku": {
"name": "JA400"
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Voorbeeldrespons
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"location": "southeastasia",
"sku": {
"name": "JA400",
"capacity": 400
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"location": "southeastasia",
"sku": {
"name": "JA400",
"capacity": 400
},
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Job |
Een Azure SQL-taakagent. |
|
Job |
Azure Active Directory-identiteitsconfiguratie voor een resource. |
|
Job |
Het identiteitstype van de taakagent |
|
Job |
De status van de taakagent. |
|
Job |
Azure Active Directory-identiteitsconfiguratie voor een resource. |
| Sku |
Een ARM-resource-SKU. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
JobAgent
Een Azure SQL-taakagent.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource-id. |
| identity |
De identiteit van de taakagent. |
|
| location |
string |
Resourcelocatie. |
| name |
string |
Resourcenaam. |
| properties.databaseId |
string (arm-id) |
Resource-id van de database waarin metagegevens van de taak moeten worden opgeslagen. |
| properties.state |
De status van de taakagent. |
|
| sku |
De naam en laag van de SKU. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Resourcetype. |
JobAgentIdentity
Azure Active Directory-identiteitsconfiguratie voor een resource.
| Name | Type | Description |
|---|---|---|
| tenantId |
string (uuid) |
De tenant-id van de taakagent-id |
| type |
Het identiteitstype van de taakagent |
|
| userAssignedIdentities |
<string,
Job |
De resource-id's van de door de gebruiker toegewezen identiteiten die moeten worden gebruikt |
JobAgentIdentityType
Het identiteitstype van de taakagent
| Waarde | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssignedUserAssigned |
JobAgentState
De status van de taakagent.
| Waarde | Description |
|---|---|
| Creating | |
| Ready | |
| Updating | |
| Deleting | |
| Disabled |
JobAgentUserAssignedIdentity
Azure Active Directory-identiteitsconfiguratie voor een resource.
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
De Azure Active Directory-client-id. |
| principalId |
string (uuid) |
De principal-id van Azure Active Directory. |
Sku
Een ARM-resource-SKU.
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
Capaciteit van de specifieke SKU. |
| family |
string |
Als de service verschillende generaties hardware heeft, voor dezelfde SKU, kan die hier worden vastgelegd. |
| name |
string |
De naam van de SKU, meestal een letter + cijfercode, bijvoorbeeld P3. |
| size |
string |
Grootte van de specifieke SKU |
| tier |
string |
De laag of editie van de specifieke SKU, bijvoorbeeld Basic, Premium. |